LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFormController Interface Referencepublished

is superseded by com::sun::star::form::runtime::XFormController. More...

`import"XFormController.idl";`

Inheritance diagram for XFormController:

## Public Member Functions
::com::sun::star::awt::XControl | getCurrentControl ()
void | addActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
void | removeActivateListener ([in] ::com::sun::star::form::XFormControllerListener l)
Public Member Functions inherited from XTabController
void | setModel ([in] com::sun::star::awt::XTabControllerModel Model)
| sets the tab controller model. More...
com::sun::star::awt::XTabControllerModel | getModel ()
| returns the tab controller model. More...
void | setContainer ([in] com::sun::star::awt::XControlContainer Container)
| set the control container. More...
com::sun::star::awt::XControlContainer | getContainer ()
| returns the control container. More...
sequence< com::sun::star::awt::XControl > | getControls ()
| returns all controls of the control container. More...
void | autoTabOrder ()
| enables automatic tab order. More...
void | activateTabOrder ()
| activates tab order. More...
void | activateFirst ()
| sets the focus to the first control that can be reached with the TAB key. More...
void | activateLast ()
| sets the focus to the last control that can be reached with the TAB key. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is superseded by com::sun::star::form::runtime::XFormController.

Deprecated:

## Member Function Documentation

## ◆ addActivateListener()

void addActivateListener | ( | [in] ::com::sun::star::form::XFormControllerListener | l | ) |

## ◆ getCurrentControl()

::com::sun::star::awt::XControl getCurrentControl | ( |  | ) |

## ◆ removeActivateListener()

void removeActivateListener | ( | [in] ::com::sun::star::form::XFormControllerListener | l | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/form/XFormController.idl